
QGIS Application - Feature request #2742

annoying NULL indicators in empty text fields in attribute forms and table

2010-05-22 06:39 AM - vierundvierzig -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: invalid

Easy fix?: No Copied to github as #: 12802

Description

Plugin about GPS, tool for export and import data form GPS, to create

.gpx file (I hope that you know about which plugin I'm talking about)

has something annoying. When I create a gpx file and add point, a new

dialog window shows. The problem is that all of box in this window are

already full, everywhere is word "NULL". Before you put your

information, you have to delete "NULL". It takes a lot of time and make

me resigned. This problem shows after version 1.2.0 Daphins, I think.

Associated revisions

Revision 1e9d9998 - 2010-05-22 05:41 PM - Jürgen Fischer

select current value when lineedit gets focus in attribute dialog (fixes #2742)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13546 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 331dee96 - 2010-05-22 05:41 PM - Jürgen Fischer

select current value when lineedit gets focus in attribute dialog (fixes #2742)

git-svn-id: http://svn.osgeo.org/qgis/trunk@13546 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-22 07:31 AM - Borys Jurgiel

It's not related to the plugin. In all attribute forms, string fields containing null values are filled with the "NULL" label. I suppose it's a bug, but have no sure

that it wasn't intentional to distinguish "" and null. Actually, even with postgis layer null is always passed and there's no way to change it to "", so probably

these labels aren't necessary?

Anyway, where's the problem with clearing them? Aren't they become highlighted for replace when their fields get focus? Even if they aren't, highlighting

with Ctrl-A won't take you more than 0,1s per field :)

#2 - 2010-05-22 07:57 AM - vierundvierzig -

Unfortunately, they aren't become highlited... and this can be a resolution. Can it be highlited in 1.5.0 version?

As I said, it is just annoying, especially when you click about 5000 points per day. I thought it can be fix becasue in earlier version that problem didn't exist.

:)
#3 - 2010-05-22 08:28 AM - Jürgen Fischer

Replying to [comment:1 borysiasty]:

It's not related to the plugin. In all attribute forms, string fields containing null values are filled with the "NULL" label. I suppose it's a bug, but have no

sure that it wasn't intentional to distinguish "" and null.

Exactly that is the intention - old version didn't have support for that (see #1876).

Actually, even with postgis layer null is always passed and there's no way to change it to "", so probably these labels aren't necessary?

Should also work with OGR, but I didn't verify (but see #1023).

I'm not sure how the GPX files are generated.   Maybe it would also be possible to set a default attribute value there, ie. "" instead of NULL.

#4 - 2010-05-22 08:42 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

in commit:331dee96 (SVN r13547) the value is selected when the line edit gets focus.

#5 - 2010-05-30 09:22 AM - vierundvierzig -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

I'm sorry but I have already installed commit:ce769ad0 (SVN r13585) and i don't see any diferrence... Are you sure that this annoying issue has been fixed?

#6 - 2010-05-30 12:27 PM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Feedback to Closed

Replying to [comment:5 vierundvierzig]:

	

I'm sorry but I have already installed commit:ce769ad0 (SVN r13585) and i don't see any diferrence... Are you sure that this annoying issue has

been fixed?
Well, showing NULL for NULL and nothing for an empty string is a feature and not a bug.

	

But you are right, commit:ce769ad0 (SVN r13585) seems to do nothing - commit:d2c837cf (SVN r13605) reverts it.

	

If you move from field to field using tab the content already is selected, but if you click into the edit field the selection is undoed.  So I recommend to either

use tab or to double click into the field, which also selects the content.

#7 - 2010-05-30 12:40 PM - vierundvierzig -

Well, I thought that the field "name" will be highlighted and selected when I click on the map and dialog window shows. This solution will let me input

information without any another doings, e.g tab or double click and "NULL" will disappear. ;)

	

sorry for my english...
